<?php

namespace addons\fastim;

use think\Addons;
use app\common\library\Menu;

/**
 * 插件
 */
class Fastim extends Addons
{

    /**
     * 插件安装方法
     * @return bool
     */
    public function install()
    {
        $menu = require_once ADDON_PATH . 'fastim' . DS . 'data' . DS . 'menu.php';
        Menu::create($menu);

        return true;
    }

    /**
     * 插件卸载方法
     * @return bool
     */
    public function uninstall()
    {
        Menu::delete('fastim');
        return true;
    }

    /**
     * 插件启用方法
     * @return bool
     */
    public function enable()
    {
        Menu::enable('fastim');
        return true;
    }

    /**
     * 插件禁用方法
     * @return bool
     */
    public function disable()
    {
        Menu::disable('fastim');
        return true;
    }

    /**
     * 插件升级方法
     */
    public function upgrade()
    {
        $menu = include ADDON_PATH . 'fastim' . DS . 'data' . DS . 'menu.php';
        Menu::upgrade('fastim', $menu);
    }

    /**
     * 增加命令
     */
    public function appInit($param)
    {
        if (request()->isCli()) {
            \think\Console::addDefaultCommands([
                'addons\fastim\command\Swoole'
            ]);
        }
    }

}
